backend:
  #name: test-repo
  name: gitlab
  branch: master
  repo: lq/ficus
  auth_type: implicit
  app_id: baf1b5892995e38de18181927eddafabc7c5a5c472b3d03847c8338b74bccd8b
  #secret:eae2faab78b54012831e8c89a05137f6d019d670091139397d67dd53a89c7c78
  api_root: https://git.gaorongvc.cn/api/v4
  base_url: https://git.gaorongvc.cn
  authENdpoint: oauth/authorize
media_folder: static/img
collections:
  - name: "frontPage"
    label: "frontPage"
    files: 
    - label: "frontPage"
      name: "frontPage"
      file: "content/frontPage.md"
      fields:
        - { label: "MetaDescription", name: "metaDescription", widget: "text"}
        - { label: "MetaDescriptionEN", name: "metaDescriptionEN", widget: "text"}
        - { label: "Title 中文.svg文字改变也要改变文件名，不要用、等特殊字符，空白表示换行", name: "title", widget: "string"}
        - { label: "TitleEN", name: "titleEN", widget: "string"}
        - { label: "SubTitle", name: "subTitle", widget: "string"}
        - { label: "SubTitleEN", name: "subTitleEN", widget: "string"}
        - { label: "gaorongWith", name: "gaorongWith", widget: "string" }
        - { label: "gaorongWithEN", name: "gaorongWithEN", widget: "string" }
        - { label: "videoPoster", name: "videoPoster", widget: "image"}
        - { label: "video", name: "video", widget: "image"}
        - { label: "videoMobile", name: "videoMobile", widget: "image"}
        - label: 'portfolio'
          name: "portfolio"
          widget: list
          fields:
            - { label: "Title", name: "title", widget: "string" }
            - { label: "TitleEN", name: "titleEN", widget: "string" }
            - { label: "Since Date", name: "sinceDate", widget: "datetime" }
            - { label: "Description", name: "description", widget: "text" }
            - { label: "DescriptionEN", name: "descriptionEN", widget: "text" }
            - { label: "image", name: "image", widget: "image" }
            - { label: "image2", name: "image2", widget: "image" }
            - { label: "logo", name: "logo", widget: "image" }
            - { label: "logo2", name: "logo2", widget: "image" }
        - { label: "Summary Title", name: "summaryTitle", widget: "string"}
        - { label: "Summary TitleEN", name: "summaryTitleEN", widget: "string"}
        - { label: "Summary subTitle", name: "summarySubTitle", widget: "text"}
        - { label: "Summary subTitleEN", name: "summarySubTitleEN", widget: "text"}
        - { label: "Summary Knowmore", name: "summaryKnowmore", widget: "string"}
        - { label: "Summary KnowmoreEN", name: "summaryKnowmoreEN", widget: "string"}
        - { label: "portfolio text", name: "portfolioText", widget: "string"}
        - { label: "portfolio textEN", name: "portfolioTextEN", widget: "string"}
        - { label: "portfolio number", name: "portfolioNum", widget: "string"}
        - { label: "unicorn text", name: "unicornText", widget: "string"}
        - { label: "unicorn textEN", name: "unicornTextEN", widget: "string"}
        - { label: "unicorn number", name: "unicornNum", widget: "string"}
        - { label: "IPO text", name: "IPOText", widget: "string"}
        - { label: "IPO textEN", name: "IPOTextEN", widget: "string"}
        - { label: "IPO number", name: "IPONum", widget: "string"}
        - { label: "asset text", name: "assetText", widget: "string"}
        - { label: "asset textEN", name: "assetTextEN", widget: "string"}
        - { label: "asset number", name: "assetNum", widget: "string"}
        - { label: "asset numberEN", name: "assetNumEN", widget: "string"}
        - { label: "portfolio summary", name: "portfolioSummary", widget: "text"}
        - { label: "portfolio summaryEN", name: "portfolioSummaryEN", widget: "text"}
        - { label: "portfolio summary entry", name: "portfolioSummaryEntry", widget: "string"}
        - { label: "portfolio summaryEN", name: "portfolioSummaryEntryEN", widget: "string"}
        - { label: "team summary title", name: "teamSummaryTitle", widget: "string"}
        - { label: "team summary titleEN", name: "teamSummaryTitleEN", widget: "string"}
        - { label: "team summary text", name: "teamSummaryText", widget: "string"}
        - { label: "team summary textEN", name: "teamSummaryTextEN", widget: "text"}
        - { label: "team summary entry", name: "teamSummaryEntry", widget: "string"}
        - { label: "team summary entryEN", name: "teamSummaryEntryEN", widget: "string"}
        - { label: "team summary image", name: "teamImage", widget: "image"}
        - { label: "team summary imagex2", name: "teamImagex2", widget: "image"}
        - { label: "news 3d image", name: "news3dImage", widget: "image"}
        - { label: "news 3d imageEN", name: "news3dImageEN", widget: "image"}
        - { label: "news 3d image mobile", name: "news3dImageMobile", widget: "image"}
        - { label: "news 3d imageEN mobile", name: "news3dImageENMobile", widget: "image"}
        - { label: "news summary title", name: "newsSummaryTitle", widget: "string"}
        - { label: "news summary titleEN", name: "newsSummaryTitleEN", widget: "string"}
        - { label: "news summary entry", name: "newSummaryEntry", widget: "string"}
        - { label: "news summary entryEN", name: "newSummaryEntryEN", widget: "string"}
        - { label: "ronghui summary title", name: "ronghuiSummaryTitle", widget: "string"}
        - { label: "ronghui summary titleEN", name: "ronghuiSummaryTitleEN", widget: "string"}
        - { label: "ronghui summary text", name: "ronghuiSummaryText", widget: "text"}
        - { label: "ronghui summary textEN", name: "ronghuiSummaryTextEN", widget: "text"}
        - { label: "ronghui summary entry", name: "ronghuiSummaryEntry", widget: "string"}
        - { label: "ronghui summary entryEN", name: "ronghuiSummaryEntryEN", widget: "string"}
        - { label: "ronghui summary image", name: "ronghuiImage", widget: "image"}
        - { label: "ronghui summary imagex2", name: "ronghuiImagex2", widget: "image"}
 
  - name: "newsPage"
    label: "newsPage"
    files: 
      - label: "newsPage"
        name: "newsPage"
        file: "content/newsPage.md"
        fields:
          - { label: "Title", name: "title", widget: "string"}
          - { label: "TitleEN", name: "titleEN", widget: "string"}
          - { label: "SearchPlaceholder", name: "searchPlaceholder", widget: "string"}
          - { label: "SearchPlaceholderEN", name: "searchPlaceholderEN", widget: "string"}
          - { label: "AllNews", name: "allNews", widget: "string"}
          - { label: "AllNewsEN", name: "allNewsEN", widget: "string"}
      
  - name: "Common"
    label: "Common"
    files:
    - label: "common"
      name: "common"
      file: "content/common.md"
      fields: 
        - { label: "error title", name: "errorTitle", widget: "text" }
        - { label: "error titleEN", name: "errorTitleEN", widget: "text" }
        - { label: "error string", name: "errorStr", widget: "text" }
        - { label: "error stringEN", name: "errorStrEN", widget: "text" }
        - { label: "error img", name: "errorImg", widget: "image" }
        - { label: "back to home", name: "backToHome", widget: "text" }
        - { label: "back to homeEN", name: "backToHomeEN", widget: "text" }
        - { label: "treeMask", name: "treeMask", widget: "image" }
    - label: "Head"
      name: "head"
      file: "content/head.md"
      fields: 
        - { label: "Home", name: "home", widget: "string" }
        - { label: "HomeEN", name: "homeEN", widget: "string" }
        - { label: "About", name: "about", widget: "string" }
        - { label: "Portfolio", name: "portfolio", widget: "string" }
        - { label: "Team", name: "team", widget: "string" }
        - { label: "Ronghui", name: "ronghui", widget: "string" }
        - { label: "News", name: "news", widget: "string" }
        - { label: "Warn", name: "warn", widget: "string" }
        - { label: "AboutEN", name: "aboutEN", widget: "string" }
        - { label: "PortfolioEN", name: "portfolioEN", widget: "string" }
        - { label: "TeamEN", name: "teamEN", widget: "string" }
        - { label: "RonghuiEN", name: "ronghuiEN", widget: "string" }
        - { label: "NewsEN", name: "newsEN", widget: "string" }
        - { label: "WarnEN", name: "warnEN", widget: "string" }
    - label: "Foot"
      name: "foot"
      file: "content/foot.md"
      fields:
        - { label: "email", name: "email", widget: "string"}
        - { label: "emailEN", name: "emailEN", widget: "string"}
        - { label: "emailStr", name: "emailStr", widget: "string"}
        - { label: "phone", name: "phone", widget: "string"}
        - { label: "phoneEN", name: "phoneEN", widget: "string"}
        - { label: "phoneStr", name: "phoneStr", widget: "string"}
        - { label: "fax", name: "fax", widget: "string"}
        - { label: "faxEN", name: "faxEN", widget: "string"}
        - { label: "faxStr", name: "faxStr", widget: "string"}
        - { label: "wechat", name: "wechat", widget: "string"}
        - { label: "wechatEN", name: "wechatEN", widget: "string"}
        - { label: "beijing", name: "beijing", widget: "string"}
        - { label: "beijingEN", name: "beijingEN", widget: "string"}
        - { label: "shanghai", name: "shanghai", widget: "string"}
        - { label: "shanghaiEN", name: "shanghaiEN", widget: "string"}
        - { label: "shenzhen", name: "shenzhen", widget: "string"}
        - { label: "shenzhenEN", name: "shenzhenEN", widget: "string"}
        - { label: "xianggang", name: "xianggang", widget: "string"}
        - { label: "xianggangEN", name: "xianggangEN", widget: "string"}
        - { label: "beijingloc", name: "beijingloc", widget: "string"}
        - { label: "beijinglocEN", name: "beijinglocEN", widget: "string"}
        - { label: "shanghailoc", name: "shanghailoc", widget: "string"}
        - { label: "shanghailocEN", name: "shanghailocEN", widget: "string"}
        - { label: "shenzhenloc", name: "shenzhenloc", widget: "string"}
        - { label: "shenzhenlocEN", name: "shenzhenlocEN", widget: "string"}
        - { label: "xianggangloc", name: "xianggangloc", widget: "string"}
        - { label: "xiangganglocEN", name: "xiangganglocEN", widget: "string"}
        - { label: "treeLogo", name: "treeLogo", widget: "image"}
        - { label: "footerMask", name: "footerMask", widget: "image"}
        - { label: "wechatimg", name: "wechatimg", widget: "image"}

  - name: "News"
    label: "News"
    sortable_fields: ['type', 'title','createDate', 'highLight','source']
    create: true
    view_filters:
      - label: "新科技"
        field: type
        pattern: '新科技'
      - label: '新消费'
        field: type
        pattern: '新消费'
      - label: '医疗健康'
        field: type
        pattern: '医疗健康'
      - label: '榕报'
        field: type
        pattern: '榕报'
      - label: '榕汇'
        field: type
        pattern: '榕汇'
      - label: '分享'
        field: type
        pattern: '分享'
      - label: '高榕分享'
        field: type
        pattern: '高榕分享'
      - label: '荣誉'
        field: type
        pattern: '荣誉'
      - label: '高榕特写'
        field: type
        pattern: '高榕特写'
      - label: '高榕新闻'
        field: type
        pattern: '高榕新闻'
      - label: '高榕转载'
        field: type
        pattern: '高榕转载'
      - label: '声明'
        field: type
        pattern: '声明'
      - label: '榕问'
        field: type
        pattern: '榕问'
      - label: '高榕动态'
        field: type
        pattern: '高榕动态'
    view_groups:
      - label: "新技术"
        field: type
        pattern: '新技术'
      - label: '新消费'
        field: type
        pattern: '新消费'
      - label: '医疗健康'
        field: type
        pattern: '医疗健康'
      - label: '榕报'
        field: type
        pattern: '榕报'
      - label: '榕汇'
        field: type
        pattern: '榕汇'
      - label: '分享'
        field: type
        pattern: '分享'
      - label: '高榕分享'
        field: type
        pattern: '高榕分享'
      - label: '荣誉'
        field: type
        pattern: '荣誉'
      - label: '高榕特写'
        field: type
        pattern: '高榕特写'
      - label: '高榕新闻'
        field: type
        pattern: '高榕新闻'
      - label: '高榕转载'
        field: type
        pattern: '高榕转载'
      - label: '声明'
        field: type
        pattern: '声明'
      - label: '榕问'
        field: type
        pattern: '榕问'
      - label: '高榕动态'
        field: type
        pattern: '高榕动态'
    identifier_field: name
    folder: "content/news"
    summary: "{{title}} {{createDate}}"
    fields:
          - { label: "Title", name: "title", widget: "string" }
          - { label: "TitleEN", name: "titleEN", widget: "string", required: false }
          - { label: "Source", name: "source", widget: "string", required: false }
          - { label: "SourceEN", name: "sourceEN", widget: "string", required: false }
          - { label: "hide", name: "hide", widget: "boolean", required: false, default: false }
          - { label: "type", name: "type", widget: "string", required: false}
          - { label: "typeEN", name: "typeEN", widget: "string", required: false}
          - { label: "createDate", name: "createDate", widget: "datetime" }
          - { label: "Abstract", name: "abstract", widget: "text" }
          - { label: "AbstractEN", name: "abstractEN", widget: "text", required: false }
          - { label: "content", name: "content", widget: "markdown"}
          - { label: "contentEN", name: "contentEN", widget: "markdown", required: false}
          - { label: "Picture", name: "pic", widget: "image" }
          - { label: "HighLight", name: "highLight", widget: "boolean", required: false}
  